Subject: [DNSOP] question regarding draft-ietf-dnsop-aname: aname section & truncation

From: Klaus Malorny <[email-masked]>
Date: Fri, 31 May 2019 13:13:00 +0200

Hi all,

thanks for answering my recent questions so far, but I have to bother you with 
another (maybe stupid?) issue.

I saw that for regular address queries, you moved the ANAME record from the 
"answer" section to the "additional" section in the -02 draft. I tried to figure 
out why, but did not find an answer in the document itself or in the github issues.

This might by a problem, at least theoretically. RFC 2181, section 9, says that 
records may be removed from the additional section without setting the TC bit if 
the message would get too large otherwise. So the ANAME record could get lost in 
some circumstances. I have not checked whether this could occur in real, with 
very long query names, a lot of address records, authority records and maybe 
with signatures (which would allow larger responses due to the DNSSEC 
requirements on the other hand).

Regards,

Klaus